org.bdgenomics.cannoli.Cannoli

# CannoliAlignmentRecordDataset

###
Related Doc: package Cannoli

#### implicit class CannoliAlignmentRecordDataset extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliAlignmentRecordDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CannoliAlignmentRecordDataset(alignments: AlignmentRecordDataset)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def callVariantsWithBcftoolsMpileup(args: BcftoolsMpileupArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

   Call variants from the alignments in this AlignmentRecordDataset with bcftools mpileup via Cannoli.

   Call variants from the alignments in this AlignmentRecordDataset with bcftools mpileup via Cannoli.

   args

     Bcftools mpileup function arguments.

   stringency

     Validation stringency. Defaults to ValidationStringency.LENIENT.

   returns

     VariantContextDataset.

6. #### def callVariantsWithFreebayes(args: FreebayesArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

   Call variants from the alignments in this AlignmentRecordDataset with freebayes via Cannoli.

   Call variants from the alignments in this AlignmentRecordDataset with freebayes via Cannoli.

   args

     Freebayes function arguments.

   stringency

     Validation stringency. Defaults to ValidationStringency.LENIENT.

   returns

     VariantContextDataset.

7. #### def callVariantsWithSamtoolsMpileup(args: SamtoolsMpileupArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

   Call variants from the alignments in this AlignmentRecordDataset with samtools mpileup via Cannoli.

   Call variants from the alignments in this AlignmentRecordDataset with samtools mpileup via Cannoli.

   args

     Samtools mpileup function arguments.

   stringency

     Validation stringency. Defaults to ValidationStringency.LENIENT.

   returns

     VariantContextDataset.

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped